/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLTitleElement_H___INT_
#define __GdomHTMLTitleElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLTitleElement.h"
G_BEGIN_DECLS
class GDOMHTMLTitleElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_TITLE_ELEMENT; }
    GDOMHTMLTitleElement(PassRefPtr<WebCore::HTMLTitleElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLTitleElement_H___INT_*/
